curl https://api2.ecomailapp.cz/domains \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/domains');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
[
{
"name": "foo.cz",
"valid": true,
"blocked": false,
"type": "sending"
},
{
"name": "foo.cz",
"valid": true,
"blocked": false,
"type": "transactional"
},
{
"name": "bar.cz",
"valid": false,
"blocked": false,
"type": "sending"
}
]
Domains
List all domains
Retrieve all domains in your account.
GET
/
domains
curl https://api2.ecomailapp.cz/domains \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/domains');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
[
{
"name": "foo.cz",
"valid": true,
"blocked": false,
"type": "sending"
},
{
"name": "foo.cz",
"valid": true,
"blocked": false,
"type": "transactional"
},
{
"name": "bar.cz",
"valid": false,
"blocked": false,
"type": "sending"
}
]
curl https://api2.ecomailapp.cz/domains \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/domains');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
string
Domain name. A name held as both a sending and a transactional domain is listed once per variant.
boolean
Whether the domain passed verification.
boolean
Whether sending from the domain is blocked.
string
Variant of the domain —
sending or transactional.[
{
"name": "foo.cz",
"valid": true,
"blocked": false,
"type": "sending"
},
{
"name": "foo.cz",
"valid": true,
"blocked": false,
"type": "transactional"
},
{
"name": "bar.cz",
"valid": false,
"blocked": false,
"type": "sending"
}
]
⌘I